Bug 1652794 - Official fedora server netinst image has f28 branding and points at f28 mirrors rather than f29
Summary: Official fedora server netinst image has f28 branding and points at f28 mirro...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 29
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-23 03:38 UTC by Joel W Pauling
Modified: 2019-11-27 20:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:16:27 UTC


Attachments (Terms of Use)

Description Joel W Pauling 2018-11-23 03:38:26 UTC
Description of problem:

Downloading the official f29 server netinst from here 

https://download.fedoraproject.org/pub/fedora/linux/releases/29/Server/x86_64/iso/Fedora-Server-netinst-x86_64-29-1.2.iso

Boots into f28 installer UI elements and mirrors point at f28; resulting in numerous dependency issues.



Version-Release number of selected component (if applicable):

Fedora 29 Server

How reproducible:

Re-downloaded from several mirrors same results
Steps to Reproduce:
1.Download the netinst iso for fedora 29 server
2.Load ISO and boot from BMS/VM
3.Select package source as 'closest mirror'
4. Make some additional package selections
5. 

Actual results:

installer throws a dependency error and exit dialog

Expected results:

f29 netinst procedes 

Additional info:

Comment 1 Kevin Fenzi 2018-12-03 16:51:40 UTC
I cannot duplicate this here... if I download the Fedora 29 server netinstall, I get Fedora 29. 

Can you doublecheck your image and checksums?

Comment 2 Adam Williamson 2018-12-03 17:19:13 UTC
openQA test also did not see this. https://openqa.fedoraproject.org/tests/300593 is the install_default test for this ISO (note "Fedora-Server-netinst-x86_64-29-1.2.iso" in the ISO_URL setting); screenshots, e.g. https://openqa.fedoraproject.org/tests/300593#step/_boot_to_anaconda/4 , clearly show 'Fedora 29' branding in installer and installed system.

If the installer actually had "mirrors point[ing] at f28", I wouldn't expect dependency issues - after all, the f28 repos are internally consistent. You'd just get a working f28 install.

Is it possible that instead you were installing with a custom kickstart or a particular package selection, and there happen to be dependency issues in that package selection that involve packages with .fc28 tags from the F29 repo (i.e. packages that were not rebuilt during the F29 cycle)?

Comment 3 Joel W Pauling 2018-12-03 20:48:34 UTC
I downloaded it three times (on release day a couple of days after) ; I did wonder if it was a CDN issue - but even if it is then we need to figure out why it's serving old images out. Possibly a region thing (I am in NZ/APAC)

aenertia@kiorewha:~/Downloads$ md5sum Fedora-Server-netinst-x86_64-29-1.2.iso
4d945bed10f6c587562630a3860a130f  Fedora-Server-netinst-x86_64-29-1.2.iso
aenertia@kiorewha:~/Downloads$ md5sum 'Fedora-Server-netinst-x86_64-29-1.2(1).iso'
4d945bed10f6c587562630a3860a130f  Fedora-Server-netinst-x86_64-29-1.2(1).iso
aenertia@kiorewha:~/Downloads$ ls -al Fedora-Server-netinst-x86_64-29-1.2*
-rw-rw-r-- 1 aenertia aenertia 621805568 Nov 23 16:30 'Fedora-Server-netinst-x86_64-29-1.2(1).iso'
-rw-rw-r-- 1 aenertia aenertia 621805568 Nov 23 15:43  Fedora-Server-netinst-x86_64-29-1.2.iso

Comment 4 Joel W Pauling 2018-12-03 20:49:59 UTC
Even the grub bootloader said f28 - I went through several different ways of installing (with different package selections etc).

It's only the net-inst that seemed to be doing it ; the full dvd was fine.

Comment 5 Joel W Pauling 2018-12-03 20:53:08 UTC
Just re-downloaded again; and indeed still serving out the same iso as it was on the 23rd to me :

aenertia@kiorewha:~/Downloads$ ls -al Fedora-Server-netinst-x86_64-29-1.2*
-rw-rw-r-- 1 aenertia aenertia 621805568 Nov 23 16:30 'Fedora-Server-netinst-x86_64-29-1.2(1).iso'
-rw-rw-r-- 1 aenertia aenertia 621805568 Dec  4 09:52 'Fedora-Server-netinst-x86_64-29-1.2(2).iso'
-rw-rw-r-- 1 aenertia aenertia 621805568 Nov 23 15:43  Fedora-Server-netinst-x86_64-29-1.2.iso
aenertia@kiorewha:~/Downloads$ md5sum 'Fedora-Server-netinst-x86_64-29-1.2(2).iso'
4d945bed10f6c587562630a3860a130f  Fedora-Server-netinst-x86_64-29-1.2(2).iso

Comment 6 Joel W Pauling 2018-12-03 20:58:10 UTC
aenertia@kiorewha:~/Downloads$ sha256sum Fedora-Server-netinst-x86_64-29-1.2.iso
aa7fb0e6e5b71774ebdaab0dae76bdd9246a5bc7aedc28b7f1103aaaf9750654  Fedora-Server-netinst-x86_64-29-1.2.iso

matches the checksum at : https://mirror.aarnet.edu.au/pub/fedora/linux/releases/29/Server/x86_64/iso/Fedora-Server-29-1.2-x86_64-CHECKSUM

# Fedora-Server-netinst-x86_64-29-1.2.iso: 621805568 bytes
SHA256 (Fedora-Server-netinst-x86_64-29-1.2.iso) = aa7fb0e6e5b71774ebdaab0dae76bdd9246a5bc7aedc28b7f1103aaaf9750654

It may be an issue with aarnet's mirror which seems to be what I hit when I expand

https://download.fedoraproject.org/pub/fedora/linux/releases/29/Server/x86_64/iso/ 

I am actually hitting: 

https://mirror.aarnet.edu.au/pub/fedora/linux/releases/29/Server/x86_64/iso/

Comment 7 Joel W Pauling 2018-12-03 21:13:10 UTC
I wonder if this is a by-product of how things get populated. 

IIRC the RC's simply get renamed if there are no changes. I wonder if an RC got linked/copied to the finals name at some-point and the CDN/Mirror hasn't updated it since.

Likely it's better to make at least a single 'RELEASE" file change in the final version than simply accepting an RC and naming it RELEASE if that's the case to get the checksums to change etc.

Comment 8 Kevin Fenzi 2018-12-03 23:09:55 UTC
That checksum is correct, so thats the right image...

What virtualization software are you using? Are you sure it doesn't have a f28 media setup in virtual media that it's still booting from or something like that?

Comment 9 Joel W Pauling 2018-12-04 08:46:00 UTC
Installing to baremetal dell r620's (sandybridge)

Comment 10 Joel W Pauling 2018-12-04 08:48:05 UTC
Booted via vflash upload of the iso to a partition which then get's locally attached as media for boot, and also attempted via the idrac virtual media from the iso locally. Same results.

Comment 11 Joel W Pauling 2018-12-04 08:50:46 UTC
These machines were completely cleaned off / re-inited any SD cards and local SAS SSD's are brand new. 

I had put rhel76 on them prior to going to f29 after failing with rhel8 due to deprecated megaraid_sas in the rhel8 beta.

Comment 12 Vendula Poncova 2018-12-07 12:22:56 UTC
(In reply to Joel W Pauling from comment #6)
> It may be an issue with aarnet's mirror which seems to be what I hit when I
> expand
> 
> https://download.fedoraproject.org/pub/fedora/linux/releases/29/Server/
> x86_64/iso/ 
> 
> I am actually hitting: 
> 
> https://mirror.aarnet.edu.au/pub/fedora/linux/releases/29/Server/x86_64/iso/

I am not able to reproduce the issue with an iso from this mirror.

Comment 13 Ben Cotton 2019-10-31 20:21:21 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-11-27 20:16:27 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.